$base_border: 2px;
$i: 0;

.border {
  border: 1px;
}

.border-t {
  border-top-width: 1px;
}

.border-l {
  border-left-width: 1px;
}

.border-r {
  border-right-width: 1px;
}

.border-b {
  border-bottom-width: 1px;
}

@while $i <= 8 {

  .border-#{i} {
    border: $i * $base_border;
  }

  .border-t-#{i} {
    border-top-width: $i * $base_border;
  }

  .border-b-#{i} {
    border-bottom-width: $i * $base_border;
  }

  .border-l-#{i} {
    border-left-width: $i * $base_border;
  }

  .border-r-#{i} {
    border-right-width: $i * $base_border;
  }

  $i: $i + 2;
}
